
Foreman - Bug #1365

Template Error when browsing to Smart Proxy "puppetca"

11/30/2011 02:46 PM - Luke Baker

Status: Duplicate   

Priority: Normal   

Assignee: Ohad Levy   

Category: PuppetCA   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

From the "More" drop down menu select "smart proxies" -> click on "puppetca" results in a template error of some kind. I on the

latest version of foreman and foreman proxy:

foreman-proxy-0.3-0.2.noarch

foreman-0.4-0.2.noarch

Wall of text:

smart_proxy_puppetca_url failed to generate from {:controller=>"SmartProxies::Puppetca", :action=>"update",

:smart_proxy_id=>"3-puppet", :id=>#<SmartProxies::PuppetCA:0x7f7207ccc600 @expires_at=nil, @valid_from=nil,

@name="adnlamp-dev.missouri.edu ", @fingerprint="50:1C:AF:A1:70:05:AF:14:13:52:B0:B2:36:FB:03:EB", @state="valid",

@smart_proxy_id=3>}, expected: {:controller=>"SmartProxies::Puppetca", :action=>"update"}, diff: {:smart_proxy_id=>"3-puppet",

:id=>#<SmartProxies::PuppetCA:0x7f7207ccc600 @expires_at=nil, @valid_from=nil, @name="adnlamp-dev.missouri.edu ",

@fingerprint="50:1C:AF:A1:70:05:AF:14:13:52:B0:B2:36:FB:03:EB", @state="valid", @smart_proxy_id=3>}

Here is the "full trace":

ActionView::TemplateError

smart_proxy_puppetca_url failed to generate from {:controller=>"SmartProxies::Puppetca", :action=>"update",

:smart_proxy_id=>"3-puppet", :id=>#}, expected: {:controller=>"SmartProxies::Puppetca", :action=>"update"}, diff:

{:smart_proxy_id=>"3-puppet", :id=>#}

app/helpers/application_helper.rb:105:in `display_link_if_authorized'

app/views/smart_proxies/puppetca/index.html.erb:23

app/views/smart_proxies/puppetca/index.html.erb:14:in `each'

app/views/smart_proxies/puppetca/index.html.erb:14

Related issues:

Is duplicate of Foreman - Bug #1293: error when trying to view puppet certifi... Closed 11/02/2011

History

#1 - 12/01/2011 01:13 AM - Ohad Levy

- Status changed from New to Duplicate
